Bug 135027 - Missing USB HID driver for install
Summary: Missing USB HID driver for install
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 3
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-08 04:30 UTC by H. Peter Anvin
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-28 22:20:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description H. Peter Anvin 2004-10-08 04:30:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
The ramdisk.image.gz for Mac doesn't seem to include the USB HID
driver, which is necessary to be able to type on newer PowerMacs.

Problem found trying to install FC2test3 on a PowerMac G5.


Version-Release number of selected component (if applicable):
FC3test2

How reproducible:
Always

Steps to Reproduce:
1. Try to install on a PowerMac G5.
2.
3.
    

Additional info:

Comment 1 Paul Nasrat 2004-10-08 08:58:33 UTC
Our kernel has:

CONFIG_USB_HID=y
CONFIG_USB_HIDINPUT=y
CONFIG_USB_HIDDEV=y

but:

CONFIG_USB_EHCI_HCD=m
CONFIG_USB_OHCI_HCD=m
CONFIG_USB_UHCI_HCD=m

I've seen this on occasion across kernel upgrades on my imac DV. 
Workaround there was to --preload ohci-hcd.  I'll try and replicate on
our G5 and see if I can get any more data.

Comment 2 Jeremy Katz 2004-10-12 18:51:00 UTC
The installer initrd should be pulling in the appropriate modules.

Comment 3 Paul Nasrat 2004-10-13 08:29:47 UTC
They are there in the initrd:

2.6.8-1.541/ppc64/ehci-hcd.ko
2.6.8-1.541/ppc64/uhci-hcd.ko
2.6.8-1.541/ppc64/ohci-hcd.ko


I'll try and reproduce with some more debugging next time I have G5
access.

Comment 4 Paul Nasrat 2005-11-28 22:20:43 UTC
G5 installs are working for me for fc4 ppc and fc5test1


Note You need to log in before you can comment on or make changes to this bug.